<template>
  <Header class="mb-12" :stage="(route.path.match(/\d+(?=\D*$)/) || [''])[0].slice(-1)"/>
  <div class="dash"
       style="width: 3840px"
       :style="{
          maxWidth: route.path.indexOf('/kazan-2/stage-') >=0 && 'calc(100% - 510px)',
          margin: route.path.indexOf('/kazan-2/stage-') >=0 && '0 auto'
       }"
  >
    <Store1
        v-if="route.path.indexOf('/kazan-1/stage') >= 0 || route.path.indexOf('/kazan-2/stage') >= 0 "
        :is-safe="route.path === '/kazan-1/stage-3' || route.path === '/kazan-2/stage-1'"
        :stage="route.path.indexOf('/kazan-1/stage') >= 0 && route.path.replace('/kazan-1/stage-', '') || route.path.replace('/kazan-2/stage-', '')"
        :store="route.path.indexOf('/kazan-2/') >= 0 && '2' || '1'"
    />
    <Store2
        v-if="route.path.indexOf('/kazan-4/stage') >= 0"
        :is-safe="route.path === '/kazan-4/stage-2'"
        :stage="route.path.replace('/kazan-4/stage-', '')"
        :store="route.path.indexOf('/kazan-4/') >= 0 && '4' || '2'"
    />
  </div>
</template>

<script>
import {ref, computed, onMounted} from 'vue'
import Header from "./components/Header.vue";
import Store1 from "./components/Store1.vue";
import Store2 from "./components/Store2.vue";
import {useRoute} from 'vue-router'

export default {
  components: {Store2, Store1, Header},
  setup() {
    const route = useRoute()
    return {
      route,
    }
  },
}
</script>
<style lang="scss" scoped>

</style>
